import * as s3 from 'aws-cdk-lib/aws-s3';
import { Pipeline } from './pipeline';
/**
 * @stability stable
 */
export interface DataProductProperties {
    /**
     * @stability stable
     */
    readonly accountId: string;
    /**
     * @stability stable
     */
    readonly dataCatalogAccountId?: string;
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly pipelines: Pipeline[];
    /**
     * @stability stable
     */
    readonly s3BucketProps?: s3.BucketProps;
}
/**
 * @stability stable
 */
export declare class DataProduct {
    /**
     * @stability stable
     */
    readonly accountId: string;
    /**
     * @stability stable
     */
    readonly dataCatalogAccountId?: string;
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly pipelines: Pipeline[];
    /**
     * @stability stable
     */
    readonly s3BucketProps?: s3.BucketProps;
    /**
     * @stability stable
     */
    constructor(props: DataProductProperties);
}
